Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.comadapter.comruntime
Interface STCComVARTYPE

    public interface STCComVARTYPE

The STCComVARTYPE interface defines the VARTYPEs used internally in the implementation. Since Java has no enum type like C, all the values are public static final ints.

See Also:
  `STCComVariant`

Field Summary
`static int` | `VT_BOOL` VT_BOOL
`static int` | `VT_BSTR` VT_BSTR
`static int` | `VT_DATE` VT_DATE
`static int` | `VT_DISPATCH` VT_DISPATCH
`static int` | `VT_EMPTY` VT_EMPTY
`static int` | `VT_ERROR` VT_ERROR
`static int` | `VT_I2` VT_I2
`static int` | `VT_I4` VT_I4
`static int` | `VT_R4` VT_R4
`static int` | `VT_R8` VT_R8
`static int` | `VT_SAFEARRAY` VT_SAFEARRAY
`static int` | `VT_UI1` VT_UI1
`static int` | `VT_USERDEFINED` VT_USERDEFINED
`static int` | `VT_VARIANT` VT_VARIANT
`static int` | `VT_VOID` VT_VOID

Field Detail

### VT_EMPTY

    static final int VT_EMPTY

  VT_EMPTY

  See Also:
    Constant Field Values

### VT_I2

    static final int VT_I2

  VT_I2

  See Also:
    Constant Field Values

### VT_I4

    static final int VT_I4

  VT_I4

  See Also:
    Constant Field Values

### VT_R4

    static final int VT_R4

  VT_R4

  See Also:
    Constant Field Values

### VT_R8

    static final int VT_R8

  VT_R8

  See Also:
    Constant Field Values

### VT_DATE

    static final int VT_DATE

  VT_DATE

  See Also:
    Constant Field Values

### VT_BSTR

    static final int VT_BSTR

  VT_BSTR

  See Also:
    Constant Field Values

### VT_DISPATCH

    static final int VT_DISPATCH

  VT_DISPATCH

  See Also:
    Constant Field Values

### VT_ERROR

    static final int VT_ERROR

  VT_ERROR

  See Also:
    Constant Field Values

### VT_BOOL

    static final int VT_BOOL

  VT_BOOL

  See Also:
    Constant Field Values

### VT_VARIANT

    static final int VT_VARIANT

  VT_VARIANT

  See Also:
    Constant Field Values

### VT_UI1

    static final int VT_UI1

  VT_UI1

  See Also:
    Constant Field Values

### VT_VOID

    static final int VT_VOID

  VT_VOID

  See Also:
    Constant Field Values

### VT_SAFEARRAY

    static final int VT_SAFEARRAY

  VT_SAFEARRAY

  See Also:
    Constant Field Values

### VT_USERDEFINED

    static final int VT_USERDEFINED

  VT_USERDEFINED

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.